Bug Hunting Session
Bug 91311 - Saving template crashes (VclPtr)
Summary: Saving template crashes (VclPtr)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.0.0.0.alpha0+ Master
Hardware: x86-64 (AMD64) Windows (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: VclPtr
  Show dependency treegraph
 
Reported: 2015-05-15 16:58 UTC by Buovjaga
Modified: 2015-05-16 15:12 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Backtrace of crash (11.31 KB, text/plain)
2015-05-15 16:58 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Buovjaga 2015-05-15 16:58:38 UTC
Created attachment 115626 [details]
Backtrace of crash

Create any new document (Calc, Writer, whatever).
File - Templates - Save as template.
Save and input name.
Crashes on OK.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha1+
Build ID: 9de1d53a2ce3ee7036b4688b373db7b2235af4d9
TinderBox: Win-x86@39, Branch:master, Time: 2015-05-14_00:07:12
Locale: fi-FI (fi_FI)
Comment 1 Michael Meeks 2015-05-15 18:20:03 UTC
Partial fix here; I discovered that the 'manage templates' dialog was horribly buggy too =) need to fix that as well.
Comment 2 Commit Notification 2015-05-15 18:21:11 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ecf9f9f8697dc53798d6d4a6c6db84ac2ed51422

tdf#91311 - handle toolbox tracking events post dispose safely.

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Michael Meeks 2015-05-15 20:46:01 UTC
I believe I nailed both with that commit; but please do re-test verify.

Thanks !
Comment 4 Buovjaga 2015-05-16 15:12:32 UTC
Confirmed fixed.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha1+
Build ID: 6664859e1e8b3f8b7db8c931b8d0335510c20ce0
TinderBox: Win-x86@39, Branch:master, Time: 2015-05-16_03:17:27
Locale: fi-FI (fi_FI)